Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 518364 - sys-libs/glibc-2.19-r1: stabilize
Summary: sys-libs/glibc-2.19-r1: stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All All
: Normal enhancement (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: CVE-2012-4412 CVE-2013-0242 CVE-2013-1914 CVE-2013-4788 CVE-2013-4237 CVE-2013-4332 CVE-2013-4458 CVE-2014-4043
  Show dependency tree
 
Reported: 2014-07-28 06:52 UTC by SpanKY
Modified: 2014-09-10 05:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2014-07-28 06:52:34 UTC
let's do it already
Comment 1 Agostino Sarubbo gentoo-dev 2014-07-28 08:13:13 UTC
Could we stabilize r1 that fixes bug 513090 ?
Comment 2 SpanKY gentoo-dev 2014-07-29 09:27:53 UTC
(In reply to Agostino Sarubbo from comment #1)

that was my intention.  let's try this again ;).
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-07-29 14:08:03 UTC
amd64 stable
Comment 4 Anthony Basile gentoo-dev 2014-07-29 20:32:19 UTC
stable on ppc and ppc64.
Comment 5 Myckel Habets 2014-07-30 07:34:37 UTC
@x86, could you give me a few additional days to test building on various hardware before marking stable. This packages has failed on Via Epia hardware before and wasn't caught by the arch testing team back then.
Comment 6 Sergey Popov gentoo-dev 2014-07-31 09:14:44 UTC
arm stable
Comment 7 Tobias Klausmann gentoo-dev 2014-07-31 09:17:13 UTC
In progress on Alpha: our dev host (monolith) already runs 2.19-r1. I'd like to do let it soak for a few extra days, since there have been subtle glibc breakages on alpha.
Comment 8 Steev Klimaszewski (RETIRED) gentoo-dev 2014-08-02 04:30:59 UTC
(In reply to Sergey Popov from comment #6)
> arm stable

What was this tested on? Because we're running into issues on a couple different machines, see e.g. bug #518598
Comment 9 SpanKY gentoo-dev 2014-08-02 12:50:34 UTC
(In reply to Steev Klimaszewski from comment #8)

keep the discussion in that bug rather than duplicating it here.  glibc-2.19 is running happily on my arm box as well.
Comment 10 Steev Klimaszewski (RETIRED) gentoo-dev 2014-08-02 19:38:16 UTC
(In reply to SpanKY from comment #9)
> (In reply to Steev Klimaszewski from comment #8)
> 
> keep the discussion in that bug rather than duplicating it here.  glibc-2.19
> is running happily on my arm box as well.

Yes, your one arm box, whereas I have multiple arm systems here that have issues.  I merely asked for clarification since arm covers more than just armv7.  Thank you.
Comment 11 Tobias Klausmann gentoo-dev 2014-08-04 09:39:55 UTC
Stable on alpha.
Comment 12 Myckel Habets 2014-08-07 06:51:17 UTC
(In reply to Myckel Habets from comment #5)
> @x86, could you give me a few additional days to test building on various
> hardware before marking stable. This packages has failed on Via Epia
> hardware before and wasn't caught by the arch testing team back then.

After testing the 4th x86 system I got hit by bug #513308.
Comment 13 Myckel Habets 2014-08-07 07:12:35 UTC
(In reply to Myckel Habets from comment #12)
> (In reply to Myckel Habets from comment #5)
> > @x86, could you give me a few additional days to test building on various
> > hardware before marking stable. This packages has failed on Via Epia
> > hardware before and wasn't caught by the arch testing team back then.
> 
> After testing the 4th x86 system I got hit by bug #513308.

Seems that the recently stabilized gentoo-sources kernel (3.14.14) is generating this problem. Downgrading the kernel fixes this bug.

@toolchain, this is not a regression on glibc, but please advise on how to progress. Hold stabilization for x86?
Comment 14 Sergey Popov gentoo-dev 2014-08-08 12:14:28 UTC
(In reply to Steev Klimaszewski from comment #8)
> (In reply to Sergey Popov from comment #6)
> > arm stable
> 
> What was this tested on? Because we're running into issues on a couple
> different machines, see e.g. bug #518598

armv6, non-hardened setup
Comment 15 SpanKY gentoo-dev 2014-08-10 04:55:49 UTC
(In reply to Myckel Habets from comment #13)

i don't think it should block stabilization
Comment 16 Agostino Sarubbo gentoo-dev 2014-08-10 17:29:40 UTC
x86 stable
Comment 17 Jeroen Roovers (RETIRED) gentoo-dev 2014-08-17 16:24:47 UTC
Stable for HPPA.
Comment 18 SpanKY gentoo-dev 2014-09-10 05:42:53 UTC
sparc stable